<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__tfsl__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_tfsl_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__tfsl__context__t_1aaf2bf408c8cea2a3ad8331676a487aa3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfsl_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position of the first touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="123" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="123" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsl__context__t_1abda60903e50cdc56ca4bc60476c2fedf" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfsl_context_t::touchStartPosition2</definition>
        <argsstring />
        <name>touchStartPosition2</name>
        <briefdescription>
<para>Touchdown position of the second touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="124" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsl__context__t_1aff4bf63c794f8b5f1c07d5473dbfa670" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfsl_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="125" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="125" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsl__context__t_1a716e4c137b9094a50dd9c85cb46327ea" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfsl_context_t::debounce</definition>
        <argsstring />
        <name>debounce</name>
        <briefdescription>
<para>Gesture debounce counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="126" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="126" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfsl__context__t_1af33814e8e0f9b68b402b92868d440997" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfsl_context_t::direction</definition>
        <argsstring />
        <name>direction</name>
        <briefdescription>
<para>Last reported direction. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="127" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture Two Finger Scroll context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="223">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="222">
        <label>cy_stc_capsense_tfsl_context_t</label>
        <link refid="structcy__stc__capsense__tfsl__context__t" />
        <childnode refid="223" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="128" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="121" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="122" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__tfsl__context__t_1a716e4c137b9094a50dd9c85cb46327ea" virt="non-virtual"><scope>cy_stc_capsense_tfsl_context_t</scope><name>debounce</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsl__context__t_1af33814e8e0f9b68b402b92868d440997" virt="non-virtual"><scope>cy_stc_capsense_tfsl_context_t</scope><name>direction</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsl__context__t_1aff4bf63c794f8b5f1c07d5473dbfa670" virt="non-virtual"><scope>cy_stc_capsense_tfsl_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsl__context__t_1aaf2bf408c8cea2a3ad8331676a487aa3" virt="non-virtual"><scope>cy_stc_capsense_tfsl_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfsl__context__t_1abda60903e50cdc56ca4bc60476c2fedf" virt="non-virtual"><scope>cy_stc_capsense_tfsl_context_t</scope><name>touchStartPosition2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>